#!/usr/bin/python3
"""Setup script for ferda."""
import os
from distutils.command.build import build

from setuptools import setup
from setuptools.command.sdist import sdist


def run_npm(build) -> bool:
    return not bool(os.environ.get('SKIP_NPM', False))


class custom_build(build):
    sub_commands = [
        ('compile_catalog', lambda x: True),
        ('npm_install', run_npm),
        ('npm_run', run_npm),
    ] + build.sub_commands


class custom_sdist(sdist):
    def run(self):
        self.run_command('compile_catalog')
        super().run()


setup(
    cmdclass={'build': custom_build, 'sdist': custom_sdist},
)
